// Variables
@import 'variables';
@import 'mixins';
@import "themes";

// Bootstrap
@import '~bootstrap/scss/bootstrap';
@import '~toastr/toastr';

#app {
    background-size: cover;
    @include themify($themes) {
        background-color: themed('bgColor');
        background-image: themed('backgroundImage');
        color: themed('textColor');
    }
}

#appIframe {
    @include themify($themes) {
        color: themed('textColor');
    }
}

.div_logo {
    height: 10rem;
    background-position-x: center;
    background-repeat: no-repeat;
    @include themify($themes) {
        background-image: themed('logoImage');
    }
}

.border-search {
    border: medium solid;
    @include themify($themes) {
        border-color: themed('textColor');
    }
}

.btn-impulsy {
    background-color: transparent;
    @include themify($themes) {
        color: themed('btnColor');
        border-color: themed('btnColor');
    }
}

.btn-impulsy:disabled {
    color: darken($impulsy_yellow, 60%);
    background-color: transparent;
    border-color: darken($impulsy_yellow, 60%);
}

.btn-impulsy:hover {
    text-decoration: none;
    @include themify($themes) {
        color: themed('lightenYellow');
    }
}

.icon-white {
    @include themify($themes) {
        fill: themed('textColor');
    }
}

.icon-pink {
    @include themify($themes) {
        fill: themed('iconMain');
    }
}

a:hover {
    text-decoration: none;
    @include themify($themes) {
        color: themed('linkHoverColor');
    }
}

a {
    text-decoration: none;
    background-color: transparent;
    @include themify($themes) {
        color: themed('linkColor');
    }
}

.dropdown a {
    color: black;
}

.text-pink {
    @include themify($themes) {
        color: themed('textHighlight');
    }
}

.text-pink:hover {
    @include themify($themes) {
        color: themed('textHoverHighlight');
    }
}

.flex-auto{
    flex: auto;
}

input.form-control, span.input-group-text {
    border: none !important;
}

.nav_underline {
    height: 5px;
    width: 100px;
    background-color: $impulsy_pink;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: left, 0.2s;
}

.t100 {
    background: linear-gradient(
            rgba(0, 0, 0, 0.9),
            rgba(0, 0, 0, 0.9)
    );
}

.t50 {
    background: linear-gradient(
            rgba(0, 0, 0, 0.2),
            rgba(0, 0, 0, 0.2)
    );
}

.t25 {
    background: linear-gradient(
            rgba(0, 0, 0, 0.5),
            rgba(0, 0, 0, 0.5)
    );
}

.icon {
    fill: currentColor;
    display: inline-block;
    font-size: inherit;
    height: 2em;
    overflow: visible;
    vertical-align: -.125em;
    width: auto !important;
}

.impulsy-active {
    // border-bottom: thick solid $impulsy_pink !important;
    svg {
        path, circle {
            fill: $impulsy_pink !important;
        }
    }
}

.nav-tabs .nav-link {
    border-top: none;
    border-left: none;
    border-right: none;
}

.nav-tabs .nav-link:hover, .nav-tabs .nav-link:focus {
    // border-bottom: thick solid lighten($impulsy_pink, 20%) !important;
    border: none;

    svg {
        path {
            fill: lighten($impulsy_pink, 20%) !important;
        }

        circle {
            fill: lighten($impulsy_pink, 20%) !important;
        }
    }
}

div[aria-expanded='false'] > i > .icon {
    transform: rotate(180deg);
}

.bg-h3 {
    background: linear-gradient(
            rgba(255, 255, 255, 0.1),
            rgba(255, 255, 255, 0.1)
    );
}

.pagination {
    justify-content: center;
}

.page-link {
    color: #fff;
    background-color: transparent;
    border: 0;
}

.page-item.disabled .page-link {
    color: #fff;
    background-color: transparent;
    border: 0;
}

.page-item.active .page-link {
    color: $impulsy_pink;
    background-color: transparent;
    border: 0;
}

.page-link:hover {
    color: lighten($impulsy_pink, 20%);
    background-color: transparent;
    border: 0;
}

.time {
    text-align: right;
    position: absolute;
    top: 3px;
    right: 10px;
    left: 0;
    color: #335fb8;
    z-index: 2;
}

.audio-progress {
    height: 22px;
    position: relative;
    margin-top: 15px;
    background-color: #e5eff1;

}

#progress {
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #006182;
    z-index: 1;
}

.border-controls {
    border-top: medium solid $impulsy_pink;
}

.no-outline {
    outline: none;
}

.loading {
    background: lightgrey;
    padding: 15px;
    position: fixed;
    border-radius: 4px;
    left: 50%;
    top: 50%;
    text-align: center;
    margin: -40px 0 0 -50px;
    z-index: 2000;
    display: none;
}


//#### Utilities ####


// Container fluid for a certain size of screen and fixed otherwise
.container,
.container-fluid,
.container-sm,
.container-md,
.container-lg,
.container-xl {
    width: 100%;
    padding-right: ($grid-gutter-width / 2);
    padding-left: ($grid-gutter-width / 2);
    margin-right: auto;
    margin-left: auto;
}

@media (min-width: 576px) {
    .container,
    .container-sm {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container,
    .container-sm,
    .container-md {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container,
    .container-sm,
    .container-md,
    .container-lg {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container,
    .container-sm,
    .container-md,
    .container-lg,
    .container-xl {
        max-width: 1140px;
    }

    .position-nav {
        position: absolute;
        top: 0;
        right: 0;
    }
}

@media (min-width: 1500px) {
    .container,
    .container-sm,
    .container-md,
    .container-lg,
    .container-xl {
        max-width: 1440px;
    }
}

.cursor-pointer {
    cursor: pointer;
}

.vh-65 {
    height: 65vh;
}

.vh-75 {
    height: 75vh;
}

.icon-sm {
    height: 1.5em;
}

.icon-xl {
    height: 3em;
}

.icon-xxl {
    height: 6em;
}

.overflow-y-scroll{
    overflow-y: scroll;
}
